[FTP] FTP module search-output is ugly

VERIFIED FIXED

Status

--
minor
VERIFIED FIXED
17 years ago
9 years ago

People

(Reporter: ian, Assigned: mozilla.bugs)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment)

(Reporter)

Description

17 years ago
<Hixie> botbot: ftp gcc
<botbot> Files matching re:gcc [gmt] embed-gcc30-i686-pc-linux-gnu.tar.gz
[2002-2-14 19:51:13]mozilla-gcc30-i686-pc-linux-gnu.tar.gz [2002-2-14 19:51:8]
time now: 19:48:10


Problems: "13]mo", "2002-2-14 19:51:8"
              ^          ^          ^
            space        zero padding
(Reporter)

Updated

17 years ago
Target Milestone: --- → Mozbot 2.4
(Reporter)

Comment 1

17 years ago
This is actually still timeless' code, untouched from the techbot days.

I don't understand what it's trying to do. Reassigning to timeless.
Assignee: ian → timeless
Target Milestone: Mozbot 2.4 → Mozbot 2.6

Comment 2

17 years ago
the problem is that there are two paths, one uses a pretty print, and one 
doesn't. I'll provide a new file and hixie will test.
Assignee: timeless → timeless
Summary: FTP module output is ugly → FTP module search-output is ugly

Updated

17 years ago
QA Contact: timeless → kerz
(Reporter)

Comment 3

17 years ago
timeless: What's the status of this? If you don't know when you'll get to it, I
recommend moving it to Future so that I don't ask you after each milestone. :-)
(Reporter)

Updated

17 years ago
Summary: FTP module search-output is ugly → [FTP] FTP module search-output is ugly
(Reporter)

Updated

15 years ago
Target Milestone: Mozbot 2.6 → ---
QA Contact: kerz → mozbot
(Assignee)

Updated

9 years ago
Assignee: timeless → nobody
(Assignee)

Comment 4

9 years ago
Created attachment 379393 [details] [diff] [review]
Changes to FTP.bm for correct FTP file modification time output

After the discussion in #mozwebtools, I have uploaded the patch that consistently outputted the correct time.  The change may not be the most elegant implementation, but it does cleanly create the wanted functionality.
Attachment #379393 - Flags: review?(mozilla.bugs)
(Assignee)

Updated

9 years ago
OS: Other → All
Hardware: Other → All
Version: 2.2 → Trunk
Comment on attachment 379393 [details] [diff] [review]
Changes to FTP.bm for correct FTP file modification time output

I doubt you want yourself to review this so let's ask Wolf instead.. :)
Attachment #379393 - Flags: review?(mozilla.bugs) → review?(bugtrap)

Comment 6

9 years ago
Comment on attachment 379393 [details] [diff] [review]
Changes to FTP.bm for correct FTP file modification time output

Can I get a before/after example here?
(Assignee)

Comment 7

9 years ago
Before:

Files matching re:\. [gmt] mozilla-i686-pc-linux-gnu-gtk2+xft.tar.gz [2005-6-28 21:2:32]mozilla-source.tar.bz2 [2006-2-23 15:48:11]mozilla-win32-stub-installer.exe [2005-7-2 13:48:24]mozilla-source.tar.gz [2006-2-23 15:49:43]mozilla-i586-pc-msvc.zip

After:

Files matching re:\. [gmt] mozilla-i686-pc-linux-gnu-gtk2+xft.tar.gz [2005-06-28 21:02:32] mozilla-source.tar.bz2 [2006-02-23 15:48:11] mozilla-win32-stub-installer.exe [2005-07-02 13:48:24] mozilla-source.tar.gz [2006-02-23 15:49:43]

Updated

9 years ago
Attachment #379393 - Flags: review?(bugtrap) → review+

Updated

9 years ago
Keywords: checkin-needed
Assignee: nobody → mozilla.bugs
(Assignee)

Updated

9 years ago
Status: NEW → ASSIGNED

Comment 8

9 years ago
Checking in BotModules/FTP.bm;
/cvsroot/mozilla/webtools/mozbot/BotModules/FTP.bm,v  <--  FTP.bm
new revision: 2.3; previous revision: 2.2
done
Status: ASSIGNED → RESOLVED
Last Resolved: 9 years ago
Resolution: --- → FIXED
(Assignee)

Updated

9 years ago
Keywords: checkin-needed
(Assignee)

Comment 9

9 years ago
Dare I verify a bug assigned to me ;).

Verified Fixed.
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.